<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Google token</title>
  <script src="https://apis.google.com/js/api.js"></script>
</head>
<body>
<script>
  function start() {
    document.querySelector("#token").innerHTML = "No token";

    gapi.client.init({
      apiKey: 'AIzaSyAXlkjxiYWb035LraqT7wFgI3sLQbhk3Xs',
      clientId: "133778290-3m46jquki3fbds2o732ha0vka2da925n.apps.googleusercontent.com",
      scope: "profile"
    }).then(function () {
      gapi.auth2.getAuthInstance().isSignedIn.listen(updateSignIn);
      updateSignIn();
    });
  }

  function updateSignIn() {
    var token = gapi.auth2.getAuthInstance().currentUser.get().getAuthResponse().access_token;
    document.querySelector("#token").innerHTML = token;
  }

  gapi.load('client:auth2', start);
</script>

<button onclick="gapi.auth2.getAuthInstance().signIn();">Sign in</button>
</br>
<textarea id="token"></textarea>

</body>
</html>